osgWidget Namespace Reference

## Classes

class | Box
class | BrowserManager
class | BrowserImage
class | Browser
class | Canvas
class | Event
struct | CallbackInterface
class | ObjectCallback
class | FunctionCallback
class | Callback
class | EventInterface
class | Frame
class | Input
class | Label
class | LuaEngine
struct | GeometryHints
class | PdfImage
class | PdfReader
class | PythonEngine
class | ScriptEngine
class | StyleInterface
class | Style
class | StyleManager
class | Table
class | UIObjectParent
class | MouseHandler
class | KeyboardHandler
class | ResizeHandler
class | CameraSwitchHandler
class | VncImage
class | VncClient
class | Widget
struct | NotifyWidget
struct | NullWidget
class | Window
class | WindowManager

## Typedefs

typedef osgDB::FieldReaderIterator & | Reader
typedef osg::Vec2Array | TexCoordArray
typedef osg::Vec3Array | PointArray
typedef osg::Vec4Array | ColorArray
typedef TexCoordArray::value_type | TexCoord
typedef PointArray::value_type | Point
typedef ColorArray::value_type | Color
typedef TexCoord::value_type | texcoord_type
typedef Point::value_type | point_type
typedef Color::value_type | color_type
typedef osg::Vec2 | XYCoord
typedef osg::Vec4 | Quad
typedef osg::Matrix::value_type | matrix_type
typedef std::list< osg::observer_ptr< Widget > > | WidgetList
typedef Window::WindowList | WindowList
typedef osgUtil::LineSegmentIntersector::Intersections | Intersections

## Enumerations

enum | EventType { EVENT_NONE = 0x0000 , EVENT_FOCUS = 0x0001 , EVENT_UNFOCUS = 0x0002 , EVENT_MOUSE_ENTER = 0x0004 , EVENT_MOUSE_OVER = 0x0008 , EVENT_MOUSE_LEAVE = 0x0010 , EVENT_MOUSE_DRAG = 0x0020 , EVENT_MOUSE_PUSH = 0x0040 , EVENT_MOUSE_RELEASE = 0x0080 , EVENT_MOUSE_SCROLL = 0x0100 , EVENT_KEY_DOWN = 0x0200 , EVENT_KEY_UP = 0x0400 , EVENT_ALL = 0xFFFF }
enum | EventMask { EVENT_MASK_FOCUS = EVENT_FOCUS | EVENT_UNFOCUS , EVENT_MASK_MOUSE_MOVE = EVENT_MOUSE_ENTER | EVENT_MOUSE_OVER | EVENT_MOUSE_LEAVE , EVENT_MASK_MOUSE_CLICK = EVENT_MOUSE_PUSH | EVENT_MOUSE_RELEASE , EVENT_MASK_MOUSE_DRAG = EVENT_MASK_MOUSE_MOVE | EVENT_MASK_MOUSE_CLICK | EVENT_MOUSE_DRAG , EVENT_MASK_KEY = EVENT_KEY_UP | EVENT_KEY_DOWN }

## Functions

const std::string | DESCENT_STRING ("qpl")
std::ostream & | _notify (osg::NotifySeverity ns=osg::INFO)
std::ostream & | warn ()
std::ostream & | info ()
char | lowerCaseChar (const char in)
std::string | lowerCase (const std::string &str)
template<typename T>
bool | hasDecimal (T v)
OSGWIDGET_EXPORT std::string | getFilePath (const std::string &)
OSGWIDGET_EXPORT std::string | generateRandomName (const std::string &)
OSGWIDGET_EXPORT osg::Camera * | createOrthoCamera (matrix_type, matrix_type)
OSGWIDGET_EXPORT int | createExample (osgViewer::Viewer &, WindowManager *, osg::Node *=0)
OSGWIDGET_EXPORT bool | writeWindowManagerNode (WindowManager *)
bool OSGWIDGET_EXPORT | callbackWindowMove (Event &)
bool OSGWIDGET_EXPORT | callbackWindowRotate (Event &)
bool OSGWIDGET_EXPORT | callbackWindowScale (Event &)
bool OSGWIDGET_EXPORT | callbackWindowTabFocus (Event &)

## Variables

const int | OSGWIDGET_RENDERBIN_MOD = 5000

## Detailed Description

The osgWidget library is a NodeKit that extends the core scene graph to support a 2D (and eventually 3D) GUI widget set.

## Typedef Documentation

## Color

typedef ColorArray::value_type osgWidget::Color

## color_type

typedef Color::value_type osgWidget::color_type

## ColorArray

typedef osg::Vec4Array osgWidget::ColorArray

## Intersections

typedef osgUtil::LineSegmentIntersector::Intersections osgWidget::Intersections

## matrix_type

typedef osg::Matrix::value_type osgWidget::matrix_type

## Point

typedef PointArray::value_type osgWidget::Point

## point_type

typedef Point::value_type osgWidget::point_type

## PointArray

typedef osg::Vec3Array osgWidget::PointArray

## Quad

typedef osg::Vec4 osgWidget::Quad

## Reader

typedef osgDB::FieldReaderIterator& osgWidget::Reader

## TexCoord

typedef TexCoordArray::value_type osgWidget::TexCoord

## texcoord_type

typedef TexCoord::value_type osgWidget::texcoord_type

## TexCoordArray

typedef osg::Vec2Array osgWidget::TexCoordArray

## WidgetList

typedef std::list<osg::observer_ptr<Widget> > osgWidget::WidgetList

## WindowList

typedef Window::WindowList osgWidget::WindowList

## XYCoord

typedef osg::Vec2 osgWidget::XYCoord

## Enumeration Type Documentation

## EventMask

enum osgWidget::EventMask

Enumerator
EVENT_MASK_FOCUS |
EVENT_MASK_MOUSE_MOVE |
EVENT_MASK_MOUSE_CLICK |
EVENT_MASK_MOUSE_DRAG |
EVENT_MASK_KEY |

## EventType

enum osgWidget::EventType

Enumerator
EVENT_NONE |
EVENT_FOCUS |
EVENT_UNFOCUS |
EVENT_MOUSE_ENTER |
EVENT_MOUSE_OVER |
EVENT_MOUSE_LEAVE |
EVENT_MOUSE_DRAG |
EVENT_MOUSE_PUSH |
EVENT_MOUSE_RELEASE |
EVENT_MOUSE_SCROLL |
EVENT_KEY_DOWN |
EVENT_KEY_UP |
EVENT_ALL |

## Function Documentation

## _notify()

std::ostream & osgWidget::_notify | ( | osg::NotifySeverity | ns = osg::INFO | ) |

inline

References osg::INFO, and osg::notify().

Referenced by info(), and warn().

## callbackWindowMove()

bool OSGWIDGET_EXPORT osgWidget::callbackWindowMove | ( | Event & |  | ) |

References OSGWIDGET_EXPORT.

Referenced by osgWidget::Window::attachMoveCallback().

## callbackWindowRotate()

bool OSGWIDGET_EXPORT osgWidget::callbackWindowRotate | ( | Event & |  | ) |

References OSGWIDGET_EXPORT.

Referenced by osgWidget::Window::attachRotateCallback().

## callbackWindowScale()

bool OSGWIDGET_EXPORT osgWidget::callbackWindowScale | ( | Event & |  | ) |

References OSGWIDGET_EXPORT.

Referenced by osgWidget::Window::attachScaleCallback().

## callbackWindowTabFocus()

bool OSGWIDGET_EXPORT osgWidget::callbackWindowTabFocus | ( | Event & |  | ) |

References OSGWIDGET_EXPORT.

Referenced by osgWidget::Window::attachTabFocusCallback().

## createExample()

OSGWIDGET_EXPORT int osgWidget::createExample | ( | osgViewer::Viewer & | ,
|  | WindowManager * | ,
|  | osg::Node * | = 0 )

References OSGWIDGET_EXPORT.

## createOrthoCamera()

OSGWIDGET_EXPORT osg::Camera * osgWidget::createOrthoCamera | ( | matrix_type | ,
|  | matrix_type | )

References OSGWIDGET_EXPORT.

## DESCENT_STRING()

const std::string osgWidget::DESCENT_STRING | ( | "qpl" |  | ) |

## generateRandomName()

OSGWIDGET_EXPORT std::string osgWidget::generateRandomName | ( | const std::string & |  | ) |

References OSGWIDGET_EXPORT.

## getFilePath()

OSGWIDGET_EXPORT std::string osgWidget::getFilePath | ( | const std::string & |  | ) |

References OSGWIDGET_EXPORT.

## hasDecimal()

template<typename T>

bool osgWidget::hasDecimal | ( | T | v | ) |

inline

## info()

std::ostream & osgWidget::info | ( |  | ) |

inline

References _notify().

## lowerCase()

std::string osgWidget::lowerCase | ( | const std::string & | str | ) |

inline

References lowerCaseChar().

## lowerCaseChar()

char osgWidget::lowerCaseChar | ( | const char | in | ) |

inline

Referenced by lowerCase().

## warn()

std::ostream & osgWidget::warn | ( |  | ) |

inline

References _notify(), and osg::WARN.

## writeWindowManagerNode()

OSGWIDGET_EXPORT bool osgWidget::writeWindowManagerNode | ( | WindowManager * |  | ) |

References OSGWIDGET_EXPORT.

## Variable Documentation

## OSGWIDGET_RENDERBIN_MOD

const int osgWidget::OSGWIDGET_RENDERBIN_MOD = 5000